Module org.firebirdsql.jaybird
Package org.firebirdsql.gds.ng

# Class BlobHelper

java.lang.Object
org.firebirdsql.gds.ng.BlobHelper

public final class BlobHelper extends Object
Class with static helper methods for use with blobs.

Since:
  6.0.2
Author:
  Mark Rotteveel

## Method Summary

Modifier and Type
Method
Description
`static void`
`checkBlobClosed(FbBlob blob)`
`static void`
`checkBlobOpen(FbBlob blob)`
Checks if the blob is open.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### checkBlobOpen

public static void checkBlobOpen(FbBlob blob) throws SQLException
Checks if the blob is open.

Throws:
  `SQLException` - when the blob is closed.

### checkBlobClosed

public static void checkBlobClosed(FbBlob blob) throws SQLException

Throws:
  `SQLException` - when the blob is open.